Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.scope
Class LocalSearchStepScope

    java.lang.Object
      org.optaplanner.core.impl.phase.step.AbstractStepScope
          org.optaplanner.core.impl.localsearch.scope.LocalSearchStepScope

    public class LocalSearchStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`bestScoreImproved, clonedSolution, score, stepIndex`

Constructor Summary
`LocalSearchStepScope(LocalSearchSolverPhaseScope phaseScope)`
`LocalSearchStepScope(LocalSearchSolverPhaseScope phaseScope, int stepIndex)`

Method Summary
`Long` | `getAcceptedMoveCount()`
`LocalSearchSolverPhaseScope` | `getPhaseScope()`
`Long` | `getSelectedMoveCount()`
`Move` | `getStep()`
`String` | `getStepString()`
`double` | `getTimeGradient()`
`Move` | `getUndoStep()`
`int` | `getUninitializedVariableCount()`
`boolean` | `isBestSolutionCloningDelayed()`
`void` | `setAcceptedMoveCount(Long acceptedMoveCount)`
`void` | `setSelectedMoveCount(Long selectedMoveCount)`
`void` | `setStep(Move step)`
`void` | `setStepString(String stepString)`
`void` | `setTimeGradient(double timeGradient)`
`void` | `setUndoStep(Move undoStep)`

Methods inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, hasNoUninitializedVariables, setBestScoreImproved, setClonedSolution, setScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalSearchStepScope

    public LocalSearchStepScope(LocalSearchSolverPhaseScope phaseScope)

### LocalSearchStepScope

    public LocalSearchStepScope(LocalSearchSolverPhaseScope phaseScope,
                                int stepIndex)

Method Detail

### getPhaseScope

    public LocalSearchSolverPhaseScope getPhaseScope()

  Specified by:
    `getPhaseScope` in class `AbstractStepScope`

### isBestSolutionCloningDelayed

    public boolean isBestSolutionCloningDelayed()

  Specified by:
    `isBestSolutionCloningDelayed` in class `AbstractStepScope`

### getUninitializedVariableCount

    public int getUninitializedVariableCount()

  Specified by:
    `getUninitializedVariableCount` in class `AbstractStepScope`

### getTimeGradient

    public double getTimeGradient()

### setTimeGradient

    public void setTimeGradient(double timeGradient)

### getStep

    public Move getStep()

### setStep

    public void setStep(Move step)

### getStepString

    public String getStepString()

  Returns:
    null if logging level is to high

### setStepString

    public void setStepString(String stepString)

### getUndoStep

    public Move getUndoStep()

### setUndoStep

    public void setUndoStep(Move undoStep)

### getSelectedMoveCount

    public Long getSelectedMoveCount()

### setSelectedMoveCount

    public void setSelectedMoveCount(Long selectedMoveCount)

### getAcceptedMoveCount

    public Long getAcceptedMoveCount()

### setAcceptedMoveCount

    public void setAcceptedMoveCount(Long acceptedMoveCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.